## Saxon.Api

Class DocumentBuilder

Class DomDestination

Class DynamicContext

Class DynamicError

Class EmptyEnumerator

Class ExtensionFunctionCall

Class ExtensionFunctionDefinition

Class NullDestination

Class Processor

Class QName

Class SchemaManager

Class SchemaValidator

Class Serializer

Class StaticContext

Class StaticError

Class TextWriterDestination

Class XPathCompiler

Class XPathExecutable

Class XPathSelector

Class XQueryCompiler

Class XQueryEvaluator

Class XQueryExecutable

Class XdmAnyFunctionType

Class XdmAnyItemType

Class XdmAnyNodeType

Class XdmAtomicType

Class XdmAtomicValue

Class XdmDestination

Class XdmEmptySequence

Class XdmItem

Class XdmItemType

Class XdmNode

Class XdmNodeKind

Class XdmSequenceType

Class XdmValue

Class XmlDestination

Class XsltCompiler

Class XsltExecutable

Class XsltTransformer

Enum RecoveryPolicy

Enum SchemaValidationMode

Enum TreeModel

Enum WhitespacePolicy

Enum XdmAxis

Interface IMessageListener

Interface IQueryResolver

Interface IResultDocumentHandler

Interface IXdmEnumerator

Interface IXmlLocation

Interface SchemaResolver

## Saxon.Api
Enum SchemaValidationMode

    public enum SchemaValidationMode

implements object

  Enumeration identifying the various Schema validation modes

Field Summary
`` | `None` No validation (or strip validation, which removes existing type annotations)
`` | `Strict` Strict validation
`` | `Lax` Lax validation
`` | `Preserve` Validation mode preserve, which preserves any existing type annotations
`` | `Unspecified` Unspecified validation: this means that validation is defined elsewhere, for example in the Saxon Configuration

Field Detail

### None

    public  None

  No validation (or strip validation, which removes existing type annotations)

### Strict

    public  Strict

  Strict validation

### Lax

    public  Lax

  Lax validation

### Preserve

    public  Preserve

  Validation mode preserve, which preserves any existing type annotations

### Unspecified

    public  Unspecified

  Unspecified validation: this means that validation is defined elsewhere, for example in the Saxon Configuration